Direct Debit · API reference · customers
Update Customer
Base URL not set in the spec · operationId update_customer_customers__customer_id__put
Update an existing customer.
Authorization
The spec does not declare an authentication scheme for this endpoint.
Path parameters
customer_id string (uuid) requiredHeaders
X-API-Key string | null Request body application/json · required
name string | null organization_id string (uuid) | null ID of the organization this customer belongs to
document_type string | null mx_rfc mx_curp passport document_number string | null email string (email) | null phone_number string | null customer_metadata object | null Responses
200 Successful Response application/json
name string requiredCustomer full name
org_id string (uuid) requiredID of the organization this customer belongs to
document_type string requiredType of document (e.g., 'MX_RFC', 'PASSPORT')
mx_rfc mx_curp passport document_number string requiredDocument number
email string (email) | null Customer email address
phone_number string | null Customer phone number
customer_metadata object | null Additional customer metadata
id string (uuid) requiredcreated_at string (date-time) requiredupdated_at string (date-time) | null 422 Validation Error application/json
detail array of ValidationError loc detail[].loc array of (string | integer) requiredmsg detail[].msg string requiredtype detail[].type string requiredThis request is in the Monato · Direct Debit Postman collection, folder customers.Download collection
Request
curl -X PUT "$BASE_URL/customers/{customer_id}" \
-H "X-API-Key: $API_KEY"const res = await fetch(`${BASE_URL}/customers/{customer_id}`, {
method: "PUT",
headers: {
"X-API-Key": API_KEY,
},
});
const data = await res.json();import requests
res = requests.put(
f"{BASE_URL}/customers/{{customer_id}}",
headers={
"X-API-Key": API_KEY,
},
)
data = res.json()